# DEPRECATED: SEE PEPPER PLUS PROJECTS
catalog:
  title: Pepper ROS Actuators Python

templates:
- cmake-catkin
- base

variables:
  description: ROS Pepper Actuators Package
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de
  access: private

  repository: http://projects.cit-ec.uni-bielefeld.de/git/pepper.clf.robot.git
  scm.credentials: projects.cit-ec
  sub-directory: pepper_clf_actuators_py
  branches:
  - master

  extra-requires:
  - cmake: pepper-naoqi-driver-py
  - freestyle: python-mqtt
  - freestyle: rospy-message-converter
  - freestyle: pepper-clf-msgs

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - ros-${ros}-desktop
        - ros-${ros}-pepper-meshes

  cmake.options:
  - CATKIN_ENABLE_TESTING=OFF
  - '@{next-value|[]}'
